{
*****************************************************************************

           MTASK.PAS ... Multitasker routines interface to Turbo Pascal
                        Release 1.11 (January 17, 1991)

                            Author(s): David Begley

*****************************************************************************

                    **************************************
                         Turbo Pascal 5.5  - TPU Unit
                     Designed for linking in Machine Code
                    **************************************

                      Values returned correspond to:
                        0  no known multitasker found
                        1  DESQview found
                        2  MultiDOS II found
                        3  MultiDOS III found
                        4  DoubleDOS found
                        5  generic TopView compatible detected
                        6  generic TAME-controlled detected

                      If DetectMultitasker is not run first, then
                      when TaskSwitch is called, it will automatically
                      execute DetectMultitasker to automate the time-
                      slicing process by selecting the appropriate code
                      depending on the multitasker active.
}

unit MTask;

interface

  function detectmultitasker : byte;
  procedure taskSwitch;

implementation

  {$L \dev\mtask\MTask}
  function detectmultitasker : byte; external;
  procedure taskswitch; external;

end.
